# spec file for package nodejs-nodejs-cjson

%global npm_name cjson
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:		nodejs-cjson
Version:	0.3.2
Release:	1%{?dist}
Summary:	Commented JavaScript Object Notation. It is a json loader, which parses only valid json files, but with comments enabled. Useful for loading configs.
Url:		https://github.com/kof/node-cjson#readme
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Source1:    https://raw.githubusercontent.com/kasicka/node-cjson/810ac3fbe24d5abb0ae54cabaf97c9f7eaee1d83/LICENSE
License:	MIT

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-devel
BuildRequires:	nodejs-packaging

BuildRequires:	npm(json-parse-helpfulerror)

Requires:	npm(json-parse-helpfulerror)

%description
Commented JavaScript Object Notation. It is a json loader, which parses only valid json files, but with comments enabled. Useful for loading configs.

%prep
%setup -q -n package

cp -p %{SOURCE1} .

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
node ./test/test.js
%endif

%files
%{nodejs_sitelib}/cjson

%doc readme.md
%{!?_licensedir:%global license %%doc}
%license LICENSE

%changelog
* Tue Nov 24 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.3.2-1
- Initial build
